<script setup lang="ts">
import { inject, type Ref } from 'vue'
import MainMenu from './MainMenu.vue'
const rail = inject<Ref<boolean>>('rail')
</script>

<template>
  <v-app-bar color="brown-darken-3" density="compact">
    <template v-slot:prepend>
      <v-app-bar-nav-icon variant="text" @click.stop="rail = !rail"></v-app-bar-nav-icon>
    </template>

    <v-app-bar-title>D-Coffee</v-app-bar-title>

    <template v-slot:append>
      <v-btn icon="mdi-dots-vertical"></v-btn>
    </template>
  </v-app-bar>
</template>
